{: test that a compilation error occurs when the types of
   case constant range don't agree with the case selector expression }

program e1020( output );

var
   e :  integer;

begin { e1020 }

   e := 42;
   case e of
     1..'b': writeln(' !!! illegal char const');
   end; {case}
   writeln( 'case error not detected' );
end. { e1020 }

